.filter {
    display: flex;
    flex-direction: column;

    &__availability {
      display: flex;
      align-items: center;
      padding: 26px 0;
      margin: 0;
      border-bottom: 1px solid #E1E1E1;
      position: relative;

      &--maker {
        border: none;
        padding: 0;
      }

    }

    &__maker {
      padding: 20px 0;
      border: 0;
    }

    &__checkbox {
      height: 20px;
      width: 20px;

      &--text {
        color: black;
        
      }
    }

    &__brands {
      padding: 20px 0;
    }

    &__range {
      padding: 22px 0 28px 0;
      border-bottom: 1px solid #E1E1E1;
    }

    &__control {
      margin-top: 30px;

      &--hide {
        display: none;
      }
  }

  &__sort {
    display: flex;
    gap: 20px;
  }

  &__sort {

    &--btn {
      background: none;
      border-style: none;
      @include font300;
      font-size: 15px;
      color: #585858;
      text-decoration: underline;
    }

    &--active {
      color: black;
      text-decoration: none;
    }
  }

}


  
 .min-price,
 .max-price {
    text-align: center;
    font-size: 15px;
    font-weight: 300;
    padding: 15px;
    border: 1px solid #E1E1E1;
    color: black;
    border-radius: 5px;
    width: 100%;
  }

  
  .price-controls {
    display: flex;
    flex-direction: row;
    align-items: center;

    span {
      color: black;
      margin: 0 10px;
    }
  }

  
  .range-controls {
    position: relative;
    margin-bottom: 26px;

    & .scale {
      height: 5px;
      background: #E1E1E1;
    }

    & .bar {
      position: absolute;
      width: 169px;
      height: 5px;
      left: 42px;
        
      background: $bubu-pink;
    }
  }
  
  
  .range-toggle {
    position: absolute;
    top: -11px;
    width: 28px;
    height: 28px;
    background: white;
    border: 2px solid $bubu-pink;
    border-radius: 50%;
    cursor: pointer;

    &:hover {
      background: $bubu-pink;
    }

    &-min {
      left: 28px;
    }

    &-max {
      left: 85%;
    }
  }


.filter-label__text {
  gap: 15px;
  color: black;
  display: grid;
  grid-template-columns: 20px auto;
  align-items: center;


}

.filter-checkbox__input {
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  margin: 0;
  width: 20px;
  height: 20px;
  border: 1px solid #585858;
  border-radius: 2px;
  display: grid;
  place-content: center;

  &::before {
    content: "";
    width: 10px;
    height: 10px;
    border-radius: 2px;
    background-color: white;
  }

  &:checked::before {
    background-color: $bubu-pink;
  }
  
}


.filter-radio__color {
  gap: 15px;
  color: black;
  display: grid;
  grid-template-columns: 20px auto;
  align-items: center;
  

}

.filter-radio__input {
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  margin: 0;
  width: 30px;
  height: 30px;
  border-radius: 10px;
  display: grid;
  place-content: center;
  cursor: pointer;


  &::before {
    content: "";
    width: 38px;
    height: 38px;
    border-radius: 13px;
    background-color: transparent;
  }

  &:checked::before {
    border: 1px solid $bubu-pink;
  }
  
}

.filter-gender__input {
  display: none;

  &--visible {
    display: inline-block;
    accent-color: #D03664;
  }  
}

.filter-radio__gender {
  display: inline-block;
  padding: 13px;
  border: 1px solid #C7C7C7;
  border-radius: 10px;
  cursor: pointer;
  color: black;
  
  &--active {
    border-color: $bubu-pink;
  background-color: $bubu-light;
  }
}









